Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(77)

Issue 2759933007: [mus]Add FrameGenerator::SetHighContrastMode(bool) (Closed)

Created:
9 months ago by Alex Z.
Modified:
9 months ago
Reviewers:
Fady Samuel, sadrul, msw
CC:
chromium-reviews, rjkroege
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[mus]Add FrameGenerator::SetHighContrastMode(bool) Added FrameGenerator::high_contrast_mode_enabled_ flag. The flags of all FrameGenerators are updated by WindowServer when high contrast mode is toggled by AccessibilityManager for the current active user. Toggling high contrast mode triggers a BeginFrame for the FrameGenerator. FrameGeneratorTest.SetHighContrastMode turns on high contrast mode and verifies that the CompositorFrame received from FrameGenerator has a InvertFilter with invert amount of 1.0. BUG=683732 TBR=msw@chromium.org Review-Url: https://codereview.chromium.org/2759933007 Cr-Commit-Position: refs/heads/master@{#458421} Committed: https://chromium.googlesource.com/chromium/src/+/0855d091dfde14cb00275864c1534651441f7180

Patch Set 1 #

Total comments: 2

Patch Set 2 : Addressed nit and removed instances of FrameGeneratorDelegate #

Total comments: 8

Patch Set 3 : Addressed nits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+69 lines, -86 lines) Patch
M services/ui/ws/display.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M services/ui/ws/display.cc View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M services/ui/ws/display_manager.h View 1 chunk +3 lines, -0 lines 0 comments Download
M services/ui/ws/display_manager.cc View 2 chunks +8 lines, -0 lines 0 comments Download
M services/ui/ws/frame_generator.h View 1 4 chunks +2 lines, -3 lines 0 comments Download
M services/ui/ws/frame_generator.cc View 1 5 chunks +13 lines, -7 lines 0 comments Download
D services/ui/ws/frame_generator_delegate.h View 1 chunk +0 lines, -22 lines 0 comments Download
M services/ui/ws/frame_generator_unittest.cc View 1 2 5 chunks +35 lines, -6 lines 0 comments Download
M services/ui/ws/platform_display_default.h View 3 chunks +1 line, -6 lines 0 comments Download
M services/ui/ws/platform_display_default.cc View 2 chunks +1 line, -5 lines 0 comments Download
M services/ui/ws/platform_display_delegate.h View 1 2 1 chunk +0 lines, -2 lines 0 comments Download
M services/ui/ws/test_utils.h View 1 2 2 chunks +0 lines, -15 lines 0 comments Download
M services/ui/ws/test_utils.cc View 1 2 1 chunk +0 lines, -10 lines 0 comments Download
M services/ui/ws/window_server.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M services/ui/ws/window_server.cc View 1 2 1 chunk +6 lines, -4 lines 0 comments Download

Messages

Total messages: 29 (19 generated)
Alex Z.
PTAL
9 months ago (2017-03-20 21:33:12 UTC) #3
Fady Samuel
lgtm + nit https://codereview.chromium.org/2759933007/diff/1/services/ui/ws/frame_generator_unittest.cc File services/ui/ws/frame_generator_unittest.cc (right): https://codereview.chromium.org/2759933007/diff/1/services/ui/ws/frame_generator_unittest.cc#newcode280 services/ui/ws/frame_generator_unittest.cc:280: std::vector<cc::FilterOperation> filter_list = { Do you ...
9 months ago (2017-03-20 22:03:47 UTC) #5
Alex Z.
https://codereview.chromium.org/2759933007/diff/1/services/ui/ws/frame_generator_unittest.cc File services/ui/ws/frame_generator_unittest.cc (right): https://codereview.chromium.org/2759933007/diff/1/services/ui/ws/frame_generator_unittest.cc#newcode280 services/ui/ws/frame_generator_unittest.cc:280: std::vector<cc::FilterOperation> filter_list = { On 2017/03/20 22:03:47, Fady Samuel ...
9 months ago (2017-03-20 23:34:23 UTC) #9
Alex Z.
msw@chromium.org: Please review changes in services/ui/ws/
9 months ago (2017-03-20 23:41:39 UTC) #12
sadrul
nice! lgtm https://codereview.chromium.org/2759933007/diff/20001/services/ui/ws/frame_generator_unittest.cc File services/ui/ws/frame_generator_unittest.cc (right): https://codereview.chromium.org/2759933007/diff/20001/services/ui/ws/frame_generator_unittest.cc#newcode105 services/ui/ws/frame_generator_unittest.cc:105: const cc::RenderPassList& last_render_pass_list() { const method https://codereview.chromium.org/2759933007/diff/20001/services/ui/ws/frame_generator_unittest.cc#newcode180 ...
9 months ago (2017-03-20 23:47:11 UTC) #14
msw
lgtm with a minor q https://codereview.chromium.org/2759933007/diff/20001/services/ui/ws/frame_generator.cc File services/ui/ws/frame_generator.cc (right): https://codereview.chromium.org/2759933007/diff/20001/services/ui/ws/frame_generator.cc#newcode142 services/ui/ws/frame_generator.cc:142: frame.render_pass_list.back()->filters.Append( q: why not ...
9 months ago (2017-03-20 23:55:26 UTC) #15
Alex Z.
https://codereview.chromium.org/2759933007/diff/20001/services/ui/ws/frame_generator_unittest.cc File services/ui/ws/frame_generator_unittest.cc (right): https://codereview.chromium.org/2759933007/diff/20001/services/ui/ws/frame_generator_unittest.cc#newcode105 services/ui/ws/frame_generator_unittest.cc:105: const cc::RenderPassList& last_render_pass_list() { On 2017/03/20 23:47:10, sadrul wrote: ...
9 months ago (2017-03-21 14:11:32 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759933007/40001
9 months ago (2017-03-21 15:14:51 UTC) #25
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/chromium/src/+/0855d091dfde14cb00275864c1534651441f7180
9 months ago (2017-03-21 15:24:25 UTC) #28
Alex Z.
9 months ago (2017-03-21 15:30:53 UTC) #29
Message was sent while issue was closed.
https://codereview.chromium.org/2759933007/diff/20001/services/ui/ws/frame_ge...
File services/ui/ws/frame_generator.cc (right):

https://codereview.chromium.org/2759933007/diff/20001/services/ui/ws/frame_ge...
services/ui/ws/frame_generator.cc:142:
frame.render_pass_list.back()->filters.Append(
On 2017/03/20 23:55:26, msw wrote:
> q: why not continue using |render_pass| here?

render_pass is moved on line 130.

Powered by Google App Engine
This is Rietveld 0eb02b776